function [V,i] = insert_vertex(V,p)
%given a boundary point p, puts this in the right place
m = size(V,1);
for i = 1:m-1
    p1 = V(i,:); p2 = V(i+1,:); x1 = p1(1); y1 = p1(2); x2 = p2(1); y2 = p2(2); x3 = p(1); y3 = p(2);
    u = ((x3 - x1)*(x2 - x1) + (y3 - y1)*(y2 - y1))/ norm(p2-p1)^2;
    x = x1 + u*(x2-x1); y = y1 + u*(y2 - y1);
    DISTS(i) = norm([x,y] - p);
end
[y,i] = min(DISTS);
V = [V(1:i,:) ; p ; V(i+1:end,:)];
i = i+1;
end