function K = lies_to_left(P,p1,p2)
%LIES_TO_LEFT computes the elements of P that lie to the left of p1-p2,
%returns the indices K
n = size(P,1);
no = [p1(2) - p2(2) ;  p2(1) - p1(1)];
S = (P-ones(n,1)*p1)*no;
K = find(S >= 0);