%have to run this twice to get a and Nplot(1:40,5*a/A); hold on; plot(1:40,N,'.');
V = [   -0.8189    0.0608
   -0.7274   -0.3861
   -0.2494   -0.6996
    0.3136   -0.9452
    1.0331   -0.3834
    1.2439    0.2795
    0.8120    0.7276
    0.3507    1.0767
   -0.2482    1.2049
   -0.7494    0.7453
   -0.8189    0.0608];

P =[-0.3336    0.7879
    0.1006    1.0387
    0.3000    0.8500
   -0.4142   -0.4394
    0.5609    0.1083];
for i = 1:40, fnames{i} = num2str(i); end;
A = polyarea(V(:,1),V(:,2));
[xo,yo] = intsecpl(V(:,1),V(:,2),[-0.1,0],[1.0387,1.0387]);
p1 = [xo(2) yo(2)];  p_int = p1;
theta_begin = 0;
theta_vec = P(5,:) - p1;
theta_end = atan( theta_vec(2)/theta_vec(1) );
theta = linspace(theta_begin,theta_end,40);
for i = 1:length(theta)
    subplot(2,1,2)
    p1 = P(2,:);
    if i > 21, p1 = P(3,:); end
    if i > 35, p1 = P(5,:); end
    p2 = p1 + 0.05*[cos(theta(i)), sin(theta(i))];
    K = lies_to_left(V,p1,p2);
    xl = [p1(1),p2(1)]; yl = [p1(2),p2(2)];
    [xo,yo] = intsecpl(V(:,1),V(:,2),xl,yl);
    p1= [xo(2), yo(2)];
    p2 = [xo(1), yo(1)];
    points = [p1; V(K,:); p2];
    K = convhull(points(:,1), points(:,2)); points = points(K,:);
    a(i) = area_cut_off_left(V,p2,p1);
    N(i) = 1;
     plot(1:40,5*a/A); hold on; plot(1:40,N,'.');
    plot(i,5*a(i)/A,'ok','MarkerFaceColor','k'); plot(i,N(i),'.k');
    set(gca,'XTickLabel',{})
    legend('Area fraction', 'Points', 'Location','SouthEast')
%     print('-depsc','-r200', fnames2{i});close;
    subplot(2,1,1)
    if i == 32
        fill(points(:,1),points(:,2),[0 1 0]); hold on;
    else
        fill(points(:,1),points(:,2),[1 0 0]); hold on;
    end
    plot(V(:,1),V(:,2),'k','LineWidth',2);plot(P(:,1),P(:,2),'ok','MarkerFaceColor','k'); axis off; axis equal;
    plot(p_int(1),p_int(2),'ok');
      print('-depsc','-r200', fnames{i});close;
    close;
end