function subregions = odd_points(V,P)
%ODD_POINTS When P lists an odd number of points, we have to do some other
%trickery; in particular the whole median line thing has to happen
m = size(V,1); n = size(P,1); q = floor(n/2);
A = polyarea(V(:,1),V(:,2));
subregions = ham_for_odd(V,P);
if length(subregions) == 0
    subregions = one_cut(V,P);
    if length(subregions) == 0
        subregions = tricky_odd(V,P);
    end
end